%%%%%%%%%
% CLEAR %
%%%%%%%%%

% Close all windows
close all;

% Clear all variables
clear all;

% Clear command window
clc;

%%%%%%%%%%%%%%
% USER INPUT %
%%%%%%%%%%%%%%

% User input
patient = input ( 'Enter the patient number [ 1 / 2 / 3 / 4 ]: ' );

%%%%%%%%%%%%%%%%%%%%
% GET PATIENT DATA %
%%%%%%%%%%%%%%%%%%%%

% Get patient data
[ a , b , g , n ] = get_patient_data ( patient );

%%%%%%%%%%%%%%%%%
% SYSTEM MATRIX %
%%%%%%%%%%%%%%%%%

% System matrix definition
A = [ - a , + b ; - g , - n ];

%%%%%%%%%%%%%%%%
% INPUT MATRIX %
%%%%%%%%%%%%%%%%

% Input matrix definition
B = [ 1 ; 1 ];

%%%%%%%%%%%%%%%%%
% OUTPUT MATRIX %
%%%%%%%%%%%%%%%%%

% Output matrix definition
C = [ 0 , 0 ; 0 , 1 ];

%%%%%%%%%%%%%%%%%%%%%%
% FEEDTRHOUGH MATRIX %
%%%%%%%%%%%%%%%%%%%%%%

% Feedtrough matrix definition
D = [ 0 ; 0 ];

%%%%%%%%%%%%%%%%%%%%%
% STATE SPACE MODEL %
%%%%%%%%%%%%%%%%%%%%%

% State space model
Systm = ss ( A , B , C , D );

%%%%%%%%%%%%%%%%%%%%%%%%
% RUN % SIMULATION 001 %
%%%%%%%%%%%%%%%%%%%%%%%%

% Time vector definition
t   = 0:0.01:10;

% Input vector
U   = zeros ( size ( t ) );

% Input variables
x01 = [ 0.01 ; 1 ];

%%%%%%%%%%%%%%%%%%%%%%%%
% OPEN LOOP % RESPONSE %
%%%%%%%%%%%%%%%%%%%%%%%%

% Open loop response
[ Yo , t , Xo ] = lsim ( Systm , U , t , x01 );

%%%%%%%%%%%%%%%%%%%%%%%%%
% FIGURE INITIALIZATION %
%%%%%%%%%%%%%%%%%%%%%%%%%

% Figure
figure;

%%%%%%%%%%%%%%%%%%%%%%%%
% SUBPLOT % DEFINITION %
%%%%%%%%%%%%%%%%%%%%%%%%

% Subplot position
subplot ( 211 );

%%%%%%%%
% PLOT %
%%%%%%%%

% Plot response
plot ( t , Xo );

%%%%%%%%%%%%%%%%%%
% PLOT % OPTIONS %
%%%%%%%%%%%%%%%%%%

% Title definition
title  ( strcat ( 'State sapce parameters along sleep time - Patient ' , num2str ( patient ) ) );

% X axis lable
xlabel ( 'Sleep time [ h ]' );

% Y axis lable
ylabel ( 'Amplitude' );

%%%%%%%%%%%%%%%%%%%%%%%%
% SUBPLOT % DEFINITION %
%%%%%%%%%%%%%%%%%%%%%%%%

% Subplot position
subplot ( 212 );

%%%%%%%%
% PLOT %
%%%%%%%%

% Plot response
plot ( t , Yo ( : , 2 ) );

%%%%%%%%%%%%%%%%%%
% PLOT % OPTIONS %
%%%%%%%%%%%%%%%%%%

% Title definition
title  ( strcat ( 'Glucose level along sleep time - Patient ' , num2str ( patient ) ) );

% X axis lable
xlabel ( 'Sleep time [ h ]' );

% Y axis lable
ylabel ( 'Glucose level' );
