function [ a , b , g , n ] = get_patient_data ( patient )
% Function to get patient data 
%
% INPUT:
%   patient - Patient number [ 1 to 4 ]
%
% OUTPUT:
%   a - Sensitivity of insulinase activity to insulin concentration
%   b - Sensitivity of pancreatic insulin output to glucose concentration
%   g - Sensitivity of liver glycogen storage and tissue glucose utilization to insulin concentration 
%   n - Combined sensitivity of liver glycogen storage and tissue glucose utilization to elevated glucose concentration
%
%

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % PATIENT % NUMBER 1 % VERIFICATION %
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    % Patient number 1 verification
    if ( patient == 1 )
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ALFA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return alfa parameter
        a = 0.50;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % BETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return beta parameter
        b = 0.00;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % GAMA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return gama parameter
        g = 0.10;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return eta parameter
        n = 0.15;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % PATIENT % NUMBER 2 % VERIFICATION %
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    % Patient number 2 verification        
    elseif ( patient == 2 )
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ALFA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return alfa parameter
        a = 0.80;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % BETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return beta parameter
        b = 0.00;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % GAMA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return gama parameter
        g = 0.05;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return eta parameter
        n = 0.18;       
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % PATIENT % NUMBER 3 % VERIFICATION %
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    % Patient number 3 verification
    elseif ( patient == 3 )
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ALFA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return alfa parameter
        a = 0.70;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % BETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return beta parameter
        b = 0.00;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % GAMA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return gama parameter
        g = 0.15;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return eta parameter
        n = 0.06;      
        
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % PATIENT % NUMBER 4 % VERIFICATION %
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    % Patient number 4 verification
    elseif ( patient == 4 )
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ALFA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return alfa parameter
        a = 0.90;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % BETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return beta parameter
        b = 0.00;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % GAMA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return gama parameter
        g = 0.10;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return eta parameter
        n = 0.19;        
        
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % PATIENT % OTHERS % VERIFICATION %
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    % Patient others verification
    else
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ALFA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return alfa parameter
        a = 0.00;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % BETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return beta parameter
        b = 0.00;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % GAMA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return gama parameter
        g = 0.00;
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        % RETURN % ETA PARAMETER %
        %%%%%%%%%%%%%%%%%%%%%%%%%%
        
        % Return eta parameter
        n = 0.00;
        
    end

end

